CVE-2002-0735
CVSS7.5
发布时间 :2002-08-12 00:00:00
修订时间 :2016-10-17 22:21:55
NMCO    

[原文]Format string vulnerability in the logging() function in C-Note Squid LDAP authentication module (squid_auth_LDAP) 2.0.2 and earlier allows remote attackers to cause a denial of service and possibly execute arbitrary code by triggering log messages.


[CNNVD]C-Note Squid_Auth_LDAP Pam logging函数远程格式串溢出漏洞(CNNVD-200208-216)

        Squid_Auth_LDAP是一款免费开放源代码的验证模块,由C-note分发和维护,可使用于Linux操作系统下。
        Squid_Auth_LDAP存在设计问题,可导致远程攻击者进行格式串溢出攻击,以使用Squid_Auth_LDAP模块进程的权限在目标系统中执行任意指令。由于在Squid_Auth_LDAP模块中程序不安全地调用了logging()函数,攻击者可以连接系统并提供精心构建的格式串,溢出攻击覆盖内存任意位置,并以调用Squid_Auth_LDAP模块进程的权限在目标系统中执行任意指令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:padl_software:nss_ldap:build_189
cpe:/a:padl_software:nss_ldap:build_188
cpe:/a:padl_software:nss_ldap:build_185.3
cpe:/a:padl_software:nss_ldap:build_186
cpe:/a:padl_software:nss_ldap:build_181
cpe:/a:padl_software:nss_ldap:build_180
cpe:/a:padl_software:nss_ldap:build_183
cpe:/a:padl_software:nss_ldap:build_185
cpe:/a:padl_software:nss_ldap:build_185.1
cpe:/a:padl_software:nss_ldap:build_184
cpe:/a:padl_software:nss_ldap:build_185.2
cpe:/a:padl_software:nss_ldap:build_187
cpe:/a:c-note:squid_auth_ldap:1.0.1
cpe:/a:padl_software:pam_ldap:build_143
cpe:/a:c-note:squid_auth_ldap:1.2_b2
cpe:/a:c-note:squid_auth_ldap:1.0.2_beta
cpe:/a:c-note:squid_auth_ldap:2.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0735
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0735
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200208-216
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/vulnwatch/2002-q2/0053.html
(UNKNOWN)  VULNWATCH  20020506 [VulnWatch] ldap vulnerabilities
http://marc.info/?l=vuln-dev&m=102070267500932&w=2
(UNKNOWN)  VULN-DEV  20020506 ldap vulnerabilities
http://online.securityfocus.com/archive/1/271173
(UNKNOWN)  BUGTRAQ  20020506 ldap vulnerabilities
http://www.iss.net/security_center/static/9019.php
(VENDOR_ADVISORY)  XF  squidauthldap-logging-format-string(9019)
http://www.securityfocus.com/bid/4679
(VENDOR_ADVISORY)  BID  4679

- 漏洞信息

C-Note Squid_Auth_LDAP Pam logging函数远程格式串溢出漏洞
高危 输入验证
2002-08-12 00:00:00 2012-11-30 00:00:00
远程  
        Squid_Auth_LDAP是一款免费开放源代码的验证模块,由C-note分发和维护,可使用于Linux操作系统下。
        Squid_Auth_LDAP存在设计问题,可导致远程攻击者进行格式串溢出攻击,以使用Squid_Auth_LDAP模块进程的权限在目标系统中执行任意指令。由于在Squid_Auth_LDAP模块中程序不安全地调用了logging()函数,攻击者可以连接系统并提供精心构建的格式串,溢出攻击覆盖内存任意位置,并以调用Squid_Auth_LDAP模块进程的权限在目标系统中执行任意指令。

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时没有合适的临时解决方法。
        厂商补丁:
        C-Note
        ------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.c-note.dk/software/

- 漏洞信息

9905
Squid Proxy squid_auth_ldap logging() Format String
Local / Remote, Context Dependent Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-05-06 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站